
video, source {
    box-shadow: none !important;
    border:0 !important;
    outline: unset;
 }


.text-smaller{
   font-size: 13px;
}
.text-small{
   font-size: 14px;
}
.file_append_container{
    margin-top: 3px;
}
.file_append_container audio {
    font-size                   : 53.33px;
    font-weight                 : 900;
    outline-style		: none;
    width			: 100%;
    height			: 30px;
}


.file_append_container audio::-webkit-media-controls {
    overflow                    : hidden !important;
}
.file_append_container audio::-webkit-media-controls-enclosure {  
    background: none !important;
    margin-left: -20px;
}


.view-doc,
.view-docx,
.view-xls,
.view-xlsx,
.view-pdf,
.view-image,
.play-video{
    cursor: pointer;
}


.file-image,
.file-icon{
  display: inline-flex;
  align-items: center;
  justify-content: center;
  border-radius: 0.35rem;
  overflow: hidden;
}
.file-icon{
    color:#fff;
    font-weight: 600;
    font-size: 15px;
}
.file-icon svg{
    width:18px;
    height:18px;
}
.btn_file_view{
    margin-left: 2px;
}
.btn_file_view svg{
    width:10px;
    height:10px;
    margin-right: 2px;
}
.w-64{
    width:64px;
}
.h-64{
    height:64px;
}
.w-48{
    width:48px;
}
.h-48{
    height:48px;
}


.modal-files-viewer .modal-header{
  font-size: 0px;
  padding: 0;
  height:0;
}
.modal-play-video .modal-body{
    padding:0 !important;
    height: auto;
    background: #000;
}
.modal-view-xlsx .modal-body,
.modal-view-xls .modal-body,
.modal-view-docx .modal-body,
.modal-view-doc .modal-body,
.modal-view-pdf .modal-body{
    padding:0 !important;
}
.modal-view-doc .modal-body{
    background: #ababab;
}
.modal-files-viewer .modal-close{
   position: relative;
   top:0;
   right:0;
   z-index: 999;
   opacity: 0;
   transition: opacity 0.2s ease-in-out;
   box-shadow: none !important;
   border-radius: 0;
   padding: 0;
   width: 42px;
   height: 42px;
}
.modal-files-viewer .modal-close svg{
    width: 16px !important;    
}
.modal-files-viewer:active .modal-close,
.modal-files-viewer:focus .modal-close,
.modal-files-viewer:hover .modal-close{
    opacity: 1;
}
.modal-view-pdf .modal-close{
    background: #f7f7f7;
    opacity:1;
}
.modal-view-xls .modal-close svg,
.modal-view-xlsx .modal-close svg,
.modal-view-docx .modal-close svg,
.modal-view-doc .modal-close svg,
.modal-view-pdf .modal-close svg{
    color:#000;
}

.modal-doc-viewer iframe{
    height: 85vh;
}



/* Colored buttons based on file extension for non-images. */
.text_with_color { color: #FFFFFF; }

.file-image,
.file-icon{
    position: relative;
}
.file-icon{
    background-color: var(--info);
}
[data-ext="rar"] .file-icon,
[data-ext="zip"] .file-icon,
[data-ext="gzip"] .file-icon,
[data-ext="tar"] .file-icon { background-color: #1E72C7; }
[data-ext="avi"] .file-icon, [data-ext="mp4"] .file-icon { background-color: #F03C3C; }
[data-ext="mp3"] .file-icon,
[data-ext="ogg"] .file-icon,
[data-ext="wav"] .file-icon { background-color: #1EC73A; }
[data-ext="pdf"] .file-icon { background-color: #F03CF0; }

.file-image img{
    width:48px;
    height:48px;
    object-fit: cover;
}

[data-show-ext="1"] .file-icon::before,
[data-show-ext="1"] .file-image::before{
    content:attr(data-ext);
    font-size: 9px;
    position: absolute;
    right:0;
    bottom:0;
    padding: 2px;
    padding-right: 3px;
}

[data-show-size="1"] .file-icon::after,
[data-show-size="1"] .file-image::after{
    content:attr(data-hint);
    font-size: 9px;
    position: absolute;
    left:0;
    top:0;
    padding: 2px;
    padding-left: 3px;
}

.file-image::before,
.file-image::after{
    background: rgba(255, 255, 255, 0.8);
    border-radius: 3px;
    padding: 0 2px;
}

.btn-download{
    position: relative;  
}

[data-show-download_counts="1"] .btn-download::before{
    content:attr(data-counter);
    font-size: 11px;
    position: absolute;
    top:0;
    left:0;
    right:-35px;
    color:#888;
}

.btn-download:hover::before{
    opacity: 0;
}


.text_a { background-color: #F03C3C; }
.text_b { background-color: #F05A3C; }
.text_c { background-color: #F0783C; }
.text_d { background-color: #F0963C; }
.text_e { background-color: #E0862B; }
.text_f { background-color: #DCA12B; }
.text_g { background-color: #C7AB1E; }
.text_h { background-color: #C7C71E; }
.text_i { background-color: #ABC71E; }
.text_j { background-color: #8FC71E; }
.text_k { background-color: #72C71E; }
.text_l { background-color: #56C71E; }
.text_m { background-color: #3AC71E; }
.text_n { background-color: #1EC71E; }
.text_o { background-color: #1EC73A; }
.text_p { background-color: #1EC756; }
.text_q { background-color: #1EC78F; }
.text_r { background-color: #1EC7AB; }
.text_s { background-color: #1EC7C7; }
.text_t { background-color: #1EABC7; }
.text_u { background-color: #1E8FC7; }
.text_v { background-color: #1E72C7; }
.text_w { background-color: #3C78F0; }
.text_x { background-color: #3C5AF0; }
.text_y { background-color: #3C3CF0; }
.text_z { background-color: #5A3CF0; }
.text_0 { background-color: #783CF0; }
.text_1 { background-color: #963CF0; }
.text_2 { background-color: #B43CF0; }
.text_3 { background-color: #D23CF0; }
.text_4 { background-color: #F03CF0; }
.text_5 { background-color: #F03CD2; }
.text_6 { background-color: #F03CB4; }
.text_7 { background-color: #F03C96; }
.text_8 { background-color: #F03C78; }
.text_9 { background-color: #F03C5A; }







